#
# spec file for package python3-django-tinymce
#
# Copyright (c) 2016 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           python3-django-tinymce
Version:        2.4.0
Release:        1.6
Url:            https://github.com/aljosa/django-tinymce
Summary:        An app that contains a widget to render a form field as a TinyMCE editor
License:        MIT
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/d/django-tinymce/django-tinymce-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  python3-django
BuildRequires:  python3-setuptools
Requires:       python3-django
BuildRequires:  fdupes
BuildArch:      noarch

%description
Use the TinyMCE editor for your form textareas.

Features:
   * Use as a form widget or with a view.
   * Enhanced support for content languages.
   * Integration with the TinyMCE spellchecker.
   * Enables predefined link and image lists for dialogs.
   * Can compress the TinyMCE javascript files.
   * Integration with django-filebrowser.

%prep
%setup -q -n django-tinymce-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}
%fdupes %{buildroot}%{python_sitelib}

%files
%defattr(-,root,root)
%doc LICENSE.txt CHANGELOG.rst CONTRIBUTORS.rst README.rst docs
%{python3_sitelib}/*

%changelog
* Sat Sep 10 2016 arun@gmx.de
- update to version 2.4.0:
  * Added compatibility for Django 1.10.
  * Fix JQuery Problem with grappelli
  * Fix Python 3 compatibility (#170)
  * Improve documentation (#163, #171)
  * Cleaned Imports (#182)
  * Fix TinyMCE Widget for ModelTranslation tabs (#174)
  * Fix JSON mimetype (#186)
* Sun May  8 2016 arun@gmx.de
- specfile:
  * updated source url to files.pythonhosted.org
* Sat Mar 12 2016 arun@gmx.de
- specfile:
  * update copyright year
- update to version 2.3.0:
  * Added tests (#149)
  * Improved Python3 support
* Sat Jan  2 2016 arun@gmx.de
- specfile:
  * added CHANGELOG.rst, README.rst, and CONTRIBUTORS.rst to %%doc
- update to version 2.2.0:
  * TinyMCE compressor now use staticfiles to get the file content
    (and to find files that are in multiple static directory.) (#142)
- changes from version 2.1.0:
  * Rewrite URL files to let it works with Django 1.9 (#147, #148)
  * Add a CONTRIBUTORS file.
* Sat Nov 14 2015 arun@gmx.de
- update to version 2.0.6:
  * Make sure jQuery is loaded both in the admin and for non-admin
    forms. (#141)
* Tue Oct 20 2015 arun@gmx.de
- specfile:
  * switched from zip to tar.gz
- update to version 2.0.5:
  * Use static finders for development mode. (#131)
* Sat Aug  8 2015 arun@gmx.de
- specfile:
  * update copyright year
  * reflect tar.gz->zip change on pypi
- update to version 2.0.4:
  * Fix non-admin jQuery.
- changes from version 2.0.3:
  * Handle non-admin jQuery. (#108)
- changes from version 2.0.2:
  * Add Python3 support
- changes from version 2.0.1:
  * Fix missing CHANGELOG.
- changes from version 2.0.0:
  * Starts supporting Django 1.8
* Sun Dec 14 2014 arun@gmx.de
- specfile:
  * update copyright year
  * update url
  * removed a "rm" statement (file not in tar-ball anymore)
- update to version 1.5.3:
  * Update settings to work with Django 1.7
  * New way of initializing TinyMCE that works in Django 1.4-1.7
  * Add inline model and admin
  * Remove .swp file
  * Change inheritance order for admin widget
- changes from version 1.5.2:
  * Add Python 3 support (fixes #71)
  * Get rid of a stray console.log
  * Fixed deprecated django.conf.defauls.urls import in test settings
    and cleanup of urls import in tinymce.urls
  * Get rid of django.utils.simplejson deprecation warning
  * added new urls imports for django v1.5
  * removed some problematic chars from spellchecker plugin which are
    causing problems for compressor
* Wed Oct 23 2013 toddrme2178@gmail.com
- Add BuildRequires:  python3-django
* Sat Sep 28 2013 p.drouand@gmail.com
- Initial python3 support
* Sat Dec  1 2012 toddrme2178@gmail.com
- Remove large number of duplicate files (rpmlint error)
- Remove unacceptable backup file (rpmlint error)
* Sun Nov 25 2012 alexandre@exatati.com.br
- Update to 1.5.1b4:
  - Sorry, no changelog atm.
* Fri Dec  9 2011 alexandre@exatati.com.br
- Update to 1.5.1b2:
  - Sorry, no changelog atm.
* Wed Dec  7 2011 alexandre@exatati.com.br
- Update to 1.5.1b1:
  - Sorry, no changelog atm.
* Tue Dec  6 2011 alexandre@exatati.com.br
- Update to 1.5.1a3:
  - Sorry, no changelog atm.
* Fri Apr 29 2011 alexandre@exatati.com.br
- Update to 1.5.1a2.
* Mon Jan 10 2011 alexandre@exatati.com.br
- Update to 1.5.1a;
- Building as noarch for openSUSE >= 11.2.
* Tue Sep 15 2009 alexandre@exatati.com.br
- Initial package (1.5) for openSUSE.
